curl -X POST https://api.helvcore.ch/v1/source-facts/missing-receipt-exceptions \
-H "Authorization: Bearer $HELVCORE_API_KEY" \
-H "Idempotency-Key: $(uuidgen)" \
-H "Content-Type: application/json" \
-d '{
"business_date": "2026-03-31",
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"external_reference": "string",
"idempotency_key": "string",
"source_hash": "string",
"source_payload_hash": "string",
"source_system": "string",
"evidence_links": [
{
"sha256": "string",
"type": "source_export",
"label": "string",
"media_type": "string",
"uri": "string"
}
],
"replay_policy": "idempotent_replay",
"fact_type": "missing_receipt_exception",
"payload": {
"reason": "string",
"related_external_reference": "string",
"approved_by": "string"
}
}'const res = await fetch("https://api.helvcore.ch/v1/source-facts/missing-receipt-exceptions", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.HELVCORE_API_KEY}`,
"Idempotency-Key": crypto.randomUUID(),
"Content-Type": "application/json"
},
body: JSON.stringify({
"business_date": "2026-03-31",
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"external_reference": "string",
"idempotency_key": "string",
"source_hash": "string",
"source_payload_hash": "string",
"source_system": "string",
"evidence_links": [
{
"sha256": "string",
"type": "source_export",
"label": "string",
"media_type": "string",
"uri": "string"
}
],
"replay_policy": "idempotent_replay",
"fact_type": "missing_receipt_exception",
"payload": {
"reason": "string",
"related_external_reference": "string",
"approved_by": "string"
}
})
});
const data = await res.json();import os, requests, uuid
headers = {"Authorization": f"Bearer {os.environ['HELVCORE_API_KEY']}"}
headers["Idempotency-Key"] = str(uuid.uuid4())
headers["Content-Type"] = "application/json"
res = requests.post("https://api.helvcore.ch/v1/source-facts/missing-receipt-exceptions", headers=headers, json={
"business_date": "2026-03-31",
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"external_reference": "string",
"idempotency_key": "string",
"source_hash": "string",
"source_payload_hash": "string",
"source_system": "string",
"evidence_links": [
{
"sha256": "string",
"type": "source_export",
"label": "string",
"media_type": "string",
"uri": "string"
}
],
"replay_policy": "idempotent_replay",
"fact_type": "missing_receipt_exception",
"payload": {
"reason": "string",
"related_external_reference": "string",
"approved_by": "string"
}
})
data = res.json()
curl -X POST https://api.helvcore.ch/v1/source-facts/missing-receipt-exceptions \
-H "Authorization: Bearer $HELVCORE_API_KEY" \
-H "Idempotency-Key: $(uuidgen)" \
-H "Content-Type: application/json" \
-d '{
"business_date": "2026-03-31",
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"external_reference": "string",
"idempotency_key": "string",
"source_hash": "string",
"source_payload_hash": "string",
"source_system": "string",
"evidence_links": [
{
"sha256": "string",
"type": "source_export",
"label": "string",
"media_type": "string",
"uri": "string"
}
],
"replay_policy": "idempotent_replay",
"fact_type": "missing_receipt_exception",
"payload": {
"reason": "string",
"related_external_reference": "string",
"approved_by": "string"
}
}'
202
{
"business_date": "2026-03-31",
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"external_reference": "string",
"idempotency_key": "string",
"source_hash": "string",
"source_payload_hash": "string",
"source_system": "string",
"evidence_links": [
{
"sha256": "string",
"type": "source_export",
"label": "string",
"media_type": "string",
"uri": "string"
}
],
"replay_policy": "idempotent_replay",
"fact_type": "missing_receipt_exception",
"payload": {
"reason": "string",
"related_external_reference": "string",
"approved_by": "string"
}
}
{
"accounting_finality": "none",
"allocation_id": {},
"blockers": [
{
"code": "string",
"message": "string"
}
],
"business_date": "2026-03-31",
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"evidence_hashes": {
"attachment_hashes": [
"string"
],
"evidence_link_hashes": [
"string"
],
"source_hash": "string",
"source_payload_hash": "string"
},
"external_reference": "string",
"fact_type": "expense_document",
"id": "string",
"idempotency_key": "string",
"journal_entry_id": {},
"object": "source_fact"
}
{
"business_date": "2026-03-31",
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"external_reference": "string",
"idempotency_key": "string",
"source_hash": "string",
"source_payload_hash": "string",
"source_system": "string",
"evidence_links": [
{
"sha256": "string",
"type": "source_export",
"label": "string",
"media_type": "string",
"uri": "string"
}
],
"replay_policy": "idempotent_replay",
"fact_type": "missing_receipt_exception",
"payload": {
"reason": "string",
"related_external_reference": "string",
"approved_by": "string"
}
}